<?php
use wcf\system\WCF;

/**
 * Shoutbox actions
 * 
 * @author	Sonnenspeer
 * @copyright	2013 Sonnenspeer
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.sonnenspeer.shoutbox
 */
$packageID = $this->installation->getPackageID();

// user and mod options
$sql = "UPDATE 	wcf".WCF_N."_user_group_option_value
	SET	optionValue = 1
	WHERE	groupID IN (4,5,6)
		AND optionID IN (
			SELECT	optionID
			FROM	wcf".WCF_N."_user_group_option
			WHERE	(
					optionName LIKE 'mod.shoutbox.%'
					OR optionName LIKE 'user.shoutbox.%'
				)
				AND packageID IN (
					SELECT	requirement
					FROM	wcf".WCF_N."_package_requirement
					WHERE	packageID = ".$packageID."
				)
		)
		AND optionValue = '0'";
$statement = WCF::getDB()->prepareStatement($sql);
$statement->execute();
?>